# Azure resource group

Resource group is a logical "group". Creating  aresource group eases sharing settings between resources, such as billing and access control.

# Create a resource group

1. Login into Azure with university shorthand email <https://portal.azure.com>
2. Create a resource group.

    * Either using search bar, or scrolling down to "**Navigate**", select **Resource groups**.
    * From Resource groups select **[ ➕ Create ]**
    * If you have registered as a student, you should see in "Subscription: [ Azure for students ]. For "**Resource group**" insert some distinct name, such as "TJTS5901-k22", and "**Region**" select one nearest of your customer base, most likely "(Europe) Sweden Central". Please be aware of GDPR implications.
    * At the bottom of the window, select **[ Review + Create ]** → **[ Create ]**
        ![Validation screen](azure-resource-group-validation.png)

3. Add other team members to the newly created resource group.
    * From "Resource groups", select your newly created resource group (i.e. "TJTS5901-k22")
    * From Left side menu select "**Access Control (IAM)**" → "**Role assignments**". If you're using a university account, you probably see already "Pilvi administrator" there — nothing we can do about it.
    * On modal top, select "**➕ Add**" → **Add role assignment**
    * From the role list, select "**Owner**" → **[ Next ]** (row is clickable, remember note about 90's Nokia engineers?)
    * In "Members" -screen, in "**Members**" section select **[ ➕ Select Members ]**.
    * Find your members, using either the shorthand email (username@jyu.fi)" or name. Note that name lookup uses "lastname, firstname" basis. Selecting them moves them into "Selected members" section. After all team members are selected select **[ Select ]** to acknowledge selection, and to return the selected role screen.
        ![Member selection screen](azure-iam-member-selection.png)
    * **[ Review + assign ]** → **[ Review + assign ]**

4. *(Optional)* Add teaching staff to the resource group to help in possible problem cases. Repeat step 3, but replace "Owner" role as "Contributor" or "Reader", and add:
    * `tearautt`
    * `jomikult`
    * `anjuedka`
    * `tusiansa`

5. *(Optional)* Share the resource url with your team members – it's much easier than finding it through Azure interface.
