# Create project fork

## JYU Gitlab project group

1. In [JYU Gitlab](https://gitlab.jyu.fi), create new group by selecting from hamburger menu **[☰ Menu]** → **Groups** → [**Create group**](https://gitlab.jyu.fi/groups/new#create-group-pane). 

2. Fill out group details.
    * Group name:       As instructed by Professor Abrahamsson, think good one.
    * Visibility level: Public. For private repos ask mentors and provide good reasoning.

    Personalization stuff doesn't matter. For some reason university have left those in.

    **[ Create group ]**

3. After group has been created, add other team members to it by selecting **[Invite your colleagues]** or from **Group information** → **Members**.

4. in **Invite member**, fill out university shorthand username (great design). Set role to **Owner**, and select **[ Invite ]**. 
    ![Gitlab group members](gitlab-group-members.png)

## Fork reference implementation

Forking creates copy of reference implementation code base. Git is quite smart, and changes can be integrated upstream and downstream. For mandatory parts team should have one group fork, but members can create personal fork in their own namespace to try things out.

1. Find the reference implementation from gitlab [TJTS5901-dogmap_template](https://gitlab.jyu.fi/startuplab/courses/tjts5901-continuous-software-engineering/tjts5901-dogmap_template) (id 3272)
2. In the project page, select [**[ Fork ]**](https://gitlab.jyu.fi/startuplab/courses/tjts5901-continuous-software-engineering/tjts5901-dogmap_template/-/forks/new).
3. Fill out fork details.
    * Give a project a cool name - it should reflect your team name.
    * In project url change **[ Select a namespace ]** to your team group.
    * Make sure visibility is **Public**.

    And **[ Fork project ]**.
    ![Gitlab forking](gitlab-fork.png)
4. Share the forked url with your teammates.
5. Clone forked repository with SSH to your local machine. See git guide for more details.
