# TJTS5901 - Continuous Software Engineering 2022

This is a template and reference implementation for TJTS5901 Continuous Software Development <https://moodle.jyu.fi/course/view.php?id=16452>

## Running application locally

Flask application is located on `dogmap` module, define it in `FLASK_APP` environment variable. Next define development mode on using `FLASK_ENV`. And finally run `flask` application with `run` parameter.

On bash:
```sh
export FLASK_APP=dogmap
export FLASK_ENV=development
flask run
```

CMD:
```bat
set FLASK_APP=dogmap
set FLASK_ENV=development
flask run
```

Powershell:
```powershell
$env:FLASK_APP = "dogmap"
$env:FLASK_ENV = "development"
flask run
```

## Building and running the docker image

```
docker build --pull --rm -f "Dockerfile" -t dogmap "."
docker run --rm -it dogmap
```
